Bug 2008588 - Machine-config controller fails to generate MC, when machine config pool with dashes in name presents under the cluster
Summary: Machine-config controller fails to generate MC, when machine config pool with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.7.z
Assignee: Qi Wang
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1946584
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-28 15:41 UTC by Qi Wang
Modified: 2021-10-12 19:52 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1946584
Environment:
Last Closed: 2021-10-12 19:52:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2781 0 None open [release-4.7] Bug 2008588: Check suffix annotation is a number 2021-09-28 15:44:16 UTC
Red Hat Product Errata RHBA-2021:3686 0 None None None 2021-10-12 19:52:27 UTC

Comment 5 MinLi 2021-10-09 10:00:45 UTC
verified on 4.7.33.

$ oc get mc
NAME                                                   GENERATEDBYCONTROLLER                      IGNITIONVERSION   AGE
99-worker-cnf-generated-kubelet                        7688fcb20a553771a980cffd078da70908cf65a8   3.2.0             12m
99-worker-cnf-generated-kubelet-1                      7688fcb20a553771a980cffd078da70908cf65a8   3.2.0             23s

$ oc get mcp 
NAME         CONFIG                                                 UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master       rendered-master-8163a8bcbe63c2fd79f86fb7de33255a       True      False      False      3              3                   3                     0                      5h19m
worker       rendered-worker-f3ece06744eebe3cc5a25ca184376737       True      False      False      1              1                   1                     0                      5h19m
worker-cnf   rendered-worker-cnf-0931d30acb5b7d1098ebb5709da77ccc   True      False      False      2              2                   2                     0

$ oc get kubeletconfig cnf-pool -o yaml 
status:
  conditions:
  - lastTransitionTime: "2021-10-09T09:38:22Z"
    message: Success
    status: "True"
    type: Success

Comment 7 errata-xmlrpc 2021-10-12 19:52:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.33 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3686


Note You need to log in before you can comment on or make changes to this bug.